Subject: bug#23431: 25.0.93; EWW hangs

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 May 2016 01:37:54 +0200

In any case, adding a sanity check is probably a good thing.  For
instance: If the timer is being run more than (say) two seconds after
the target time, then Emacs must be busy with something.  In that case,
we should probably stop animating the image, and tell the user.

I've now pushed a fix that does this to the trunk, which make the test
case usable for me.  That is, after hanging for six seconds, since
that's how long it takes for Emacs via ImageMagick to render the first
frame.

`image-map' can have a command to start the animation again, for
instance.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no